<?php
if(isset($_POST['enviar_form_fixo'])) {$enviar_form_fixo = $_POST['enviar_form_fixo'];}
if (isset($enviar_form_fixo) AND ($enviar_form_fixo > 1000)) {

	$nome = $_POST['nome'];
	$token = $_POST['token'];
	$email = $_POST['email'];
	$telefone = $_POST['telefone'];
	$comentarios = $_POST['comentarios'];
	$email = $_POST['email'];

	if ($token != $enviar_form_fixo){
		echo "<script>alert(\"Digite o Token Corretamente.\");</script>";
	}else{
		$email_origem="$email";
		$email_destino="comercial@cis-erp.com.br ";

		$assunto="Contato pelo formulário do Site - CIS-ERP";
		
		$headers  = "MIME-Version: 1.0\n";
		$headers .= "Content-Type: text/html; charset=utf-8\n";
		$headers .= "From: <$email_origem>\n";
		$headers .= "Return-Path: <$email_origem>\n";
		
		$msg_email  = "<html>";
		$msg_email .= "<body>";
		$msg_email .= "<Br>Formulário enviado pela área de contato do site CIS-ERP!";
		$msg_email .= "<br><br>Nome: ".$nome;
		$msg_email .= "<br>E-mail: ".$email;
		$msg_email .= "<br>Telefone: ".$telefone;
		$msg_email .= "<br>Comentário: ".$comentarios;
		$msg_email .= "</body>";
		$msg_email .= "</html>";
		
		if ($SERVER_NAME!="localhost")
			$envia = mail($email_destino, $assunto, $msg_email, $headers); 		
				
		if ($envia)
			echo "<script>alert(\"E-mail enviado com Sucesso!\");</script>";
		else
			echo "<script>alert(\"Erro desconhecido. Por favor, confira seu formulário.\");</script>";
	}
}
?>

<script language="JavaScript">
function validacaoContatoFixo(frm)
	{
	
	if ( frm.token.value=="")
		{
		alert ("Campo Token Obrigatório");
		frm.token.focus();
		return false;
		}
	if ( frm.nome.value=="")
		{
		alert ("Campo NOME Obrigatório");
		frm.nome.focus();
		return false;
		}
	if ( frm.email.value=="" || frm.email.value.indexOf('@')==-1 || frm.email.value.indexOf('.')==-1 )
		{
		alert ("Campo E-MAIL Inválido");
		frm.email.focus();
		return false;
		}
	if (frm.telefone.value=="" || frm.telefone.value.length < 10)
		{
		alert ("Campo TELEFONE Inválido");
		frm.telefone.focus();
		return false;
		}
	if ( frm.mensagem.value=="")
		{
		alert ("Campo MENSAGEM Obrigatório");
		frm.mensagem.focus();
		return false;
		}
		
	return true;
	}
</script>

<form method="post" name="frmEmailFixo" action="<? echo $PHP_SELF; ?>" onSubmit="return validacaoContatoFixo(this);" class="form-horizontal">
<?php $token = rand(1000, 2000); ?>
<p class="tit-form">Informar o Token: <?php echo $token;?></p>
  <div class="control-group">
    <label class="control-label" for="inputToken">Token</label>
    <div class="controls">
      <input type="text" id="inputNome" name="token" size="30" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputNome">Nome</label>
    <div class="controls">
      <input type="text" id="inputNome" name="nome" size="30" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputEmail">E-mail</label>
    <div class="controls">
      <input type="text" id="inputEmail" name="email" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputTelefoneFixo">Telefone</label>
    <div class="controls">
      <input type="text" id="inputTelefoneFixo" name="telefone" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputComentarios">Comentários</label>
    <div class="controls">
      <textarea id="inputComentarios" name="comentarios"></textarea>
    </div>
  </div>
	Ao clicar em enviar você confirma estar de acordo com nossa <a href="politica-privacidade.php">Política de Privacidade</a> e nossos <a href="termos-condicoes-uso.php">Termos e Condições de Uso</a>.
  <div class="control-group control-right">
    <input type="hidden" name="enviar_form_fixo" value="<?php echo $token;?>" />
    <input type="submit" name="btEnviar" value="Enviar" class="botao" />
  </div>
</form>